Bug 1008255 - Missing or broken installation findings for Fedora 20 Alpha 2
Missing or broken installation findings for Fedora 20 Alpha 2
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 21:39 EDT by Leslie Satenstein
Modified: 2013-11-19 13:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-19 13:02:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2013-09-15 21:39:21 EDT
Description of problem:

Here is an email I created describing the bugs I found after completing the yum update of 15 Sept 2013  I am putting these here. I have no patience to file indifidual ones as I did for F18 and F19. (The same problems are in F20, so not much as improved vis-a-vis user interface.

1) During install on empty 250gig disk I could not install standard option without installation crashing. 

2) Cannot scroll the city list (Anaconda timezone select) as the cities higher up in the alphabet are below the lower end of the physical screen. (F18, F19, F20).


3) I installed the French Keyboard, but cannot find the Gnome tweak tool to add the Euro symbol to the E key for Gnome.  -- Also need  Euro key for Cinnamon and Mate distributions.

3) Keyboard layout is missing a key between the shortened left-shift and the Z for both the Canadian French and Latam Layouts. The Canadian French layout has the following 4 characters assigned to that key  «»°¦ The layout is known as PC105.

4) Printer installation is missing the code to actually do a printer installation, (I have brother USB printer)

5) Sound settings had to be fiddled with for the default/bark setting.  First time in, though it is set to zero, sound is actually set at max volume. I turned alert sound off and then on again and was then able to adjust the slider to my comfort loudness.

6) Mouse pointer was not present after reboot. Had to do ctl-alt-F2 to virtual terminal and then back again to be able to view the pointer. 

Version-Release number of selected component (if applicable):

Fedora 20 Alpah 2, with all YUM updates.

How reproducible:

Do an installation of 64bit F20 Alpha - Beta 2.

S 
Actual results:


Expected results:


Additional info:
Comment 1 Leslie Satenstein 2013-09-16 08:56:36 EDT
7) Two keyboard definitions on this computer Ca(fr) (French Canada) and USA.  Active is CA(fr) in Gnome.  In switching to terminal mode the wrong keyboard (USA) is chosen, instead of the default Ca(fr)

8) Security -- We can log to ROOT, and here is a potential security problem. Since the user name is now hidden, there is nothing to inform the user that he is logged in as the root user. Ergo he may be compromising the system. A simple fix would be to, by default, have the root logon with a different wallpaper. 

9)  Some rearrangement of the top right window settings.The icons on the bottom row are settings, lock and power off.  The settings against the user name are switch user and logout.  LOGOUT and Settings should be swapped as once the user is setup he rarely ever changes the login settings. Why do we need three mouse keystrokes to log out when two will do. 

10) After logout, the system reverts to terminal mode with the US keyboard. As part of my logon password I have # in the string.  With USA keyboard, # is not in the same place as it is with Ca(fr), causing problems to log into the system.
Comment 2 Leslie Satenstein 2013-09-21 16:43:43 EDT
For my second computer' a Spanish netbook with a latam only keyboard, and the rc4 sept 18 version, the same problem is present.  FYI, 64bit F20 rc4 is the default installation, in both cases.
Comment 3 David Shea 2013-11-19 13:02:22 EST
(In reply to Leslie Satenstein from comment #0)
> Description of problem:
> 
> Here is an email I created describing the bugs I found after completing the
> yum update of 15 Sept 2013  I am putting these here. I have no patience to
> file indifidual ones as I did for F18 and F19. (The same problems are in
> F20, so not much as improved vis-a-vis user interface.
> 
> 1) During install on empty 250gig disk I could not install standard option
> without installation crashing.

File a separate bug and attach log files from /tmp
 
> 2) Cannot scroll the city list (Anaconda timezone select) as the cities
> higher up in the alphabet are below the lower end of the physical screen.
> (F18, F19, F20).

Possibly a duplicate of bug 1021509

I think these are the only two that have anything to do with anaconda. If you expect anyone to look at and fix your problems, file separate bugs describing them in detail, otherwise we aren't going to have the patience to read them. Don't send us ten unrelated problems and expect someone else to sort it out. Bugzilla is not a support forum.

Note You need to log in before you can comment on or make changes to this bug.